<template>
  <div>
    <li>
      <a
        @click.prevent="$refs.suggestionModal.Open()"
        class="kioskbutton" data-control="PopupTrigger"><img src="/images/kiosk-button7-suggestion.png"></a>
    </li>
    <suggestion-modal ref="suggestionModal">
      <div
        slot="suggestion"
        id="overlay">
        <section
          style="display: block; "
          id="suggestionwindow"
          data-control="Popup"
          class="modalwindow">
          <div class="windowcontent">Suggestion Box
            <div v-show="!suggestionSubmitted">
              <form id="suggestionform">
                <textarea
                  v-model="suggestion"
                  name="suggestioncontent"
                  id="suggestioncontent"
                  class="defaultText"
                  placeholder="What is your suggestion?"
                  cols="30" rows="10">
                </textarea>
              </form>
              <div class="popupbuttoncontainer suggestion">
                <div class="popupbtn buttonleft"></div>
                <div
                  @click="submitSuggestion"
                  class="popupbtn buttonmiddle">Submit!</div>
                <div class="popupbtn buttonright"></div>
                <div class="clear"></div>
              </div>
            </div>
            <div
              style="display: block;"
              v-show="suggestionSubmitted"
              class="submitted">
              <br>Your suggestion has been submitted.
              <div class="popupbuttoncontainer close">
                <div class="popupbtn buttonleft"></div>
                <div
                  @click="$refs.suggestionModal.Close(); resetSuggestionModal()"
                  class="popupbtn buttonmiddle">Close
                </div>
                <div class="popupbtn buttonright"></div>
                <div class="clear"></div>
              </div>
            </div>
          </div>
          <a @click="$refs.suggestionModal.Close(); resetSuggestionModal()" class="close closebutton maskfadeout" data-dismiss="modal"><img src="/images/closebutton.png"></a>
        </section>
      </div>
    </suggestion-modal>
  </div>
</template>

<script>
import SuggestionModal from '../../../shared/views/ShopModal.vue';
export default {
  components: {
    SuggestionModal
  },
  data() {
    return {
      suggestionSubmitted: false,
      suggestion: ''
    }
  },
  props: {
    session: Number,
    accountId: Number
  },
  methods: {
    resetSuggestionModal() {
      this.suggestionSubmitted = false;
      this.suggestion = '';
    },
    submitSuggestion() {
      const data = {
        accountId: this.accountId,
        body: this.suggestion,
        session: this.session
      };
      app.api.Post("kiosk/savesuggestion/" + this.session, data)
        .then( Response => {
          console.log(Response);
        })
        .catch( x => app.Message( x.error, "error" ));
      this.suggestionSubmitted = true;
      this.suggestion = '';
    }
  }
}
</script>

<style>

</style>
